using Microsoft.AspNetCore.Hosting;
using Microsoft.AspNetCore.Server.HttpSys;

namespace ITVisions
{
 public class Program
 {
  public static void Main(string[] args)
  {
   var host = new WebHostBuilder()
       .UseKestrel()
       .UseContentRoot(System.IO.Directory.GetCurrentDirectory())
       .UseIISIntegration()
       //.UseHttpSys(options =>
       //        {
       //                  // The following options are set to default values.
       //                  options.Authentication.Schemes = AuthenticationSchemes.None;
       //         options.Authentication.AllowAnonymous = true;
       //         options.MaxConnections = null;
       //         options.MaxRequestBodySize = 30000000;
       //         options.UrlPrefixes.Add("http://localhost:5000");
       //        })

       .UseStartup<Startup>()
       .Build();

   host.Run();
  }
 }
}
